/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.samples.frame;

import junit.framework.TestCase;
import woolpack.adapter.JXPFactory;
import woolpack.samples.SamplesAllTests;
import woolpack.test.TestDomContextBuilder;

public class FrameServletTest extends TestCase {

	public void testNormal() {
		final FrameServlet servlet = new FrameServlet();
		servlet.toNode.setFn(SamplesAllTests.getFileToNode("^(.*)$", "html/sample/frame/$1.html"));
		final TestDomContextBuilder builder = new TestDomContextBuilder(new JXPFactory());
		
		builder.get().setId("common_top");
		servlet.fn.exec(builder.get());
		assertTrue(builder.exists("//*[contains(text(), \'head\')]"));
		assertTrue(builder.exists("//*[contains(text(), \'menu\')]"));
		assertTrue(builder.exists("//*[contains(text(), \'top\')]"));
		assertTrue(builder.exists("//*[contains(text()[2], \'foot\')]"));
	}
}
